# Memec Spartan-3 1500 MB Demo Board
# iMPACT Batch command file for command line configuration
# 
# To launch, type the following from a command line:
#	impact -batch <filename.cmd>
#
# For more details, you can find the Impact batch file commands
# in an appendix of the Impact User's Guide:
#	http://toolbox.xilinx.com/docsan/xilinx6/help/impact/impact.htm


# Set iMPACT into Boundary-scan programming mode
setMode -bscan


# Let iMPACT automatically search and find your programming cable
setCable -port auto


# Add devices to the programming chain.  This can be done using
# one of two methods (method #2 used in this case):

# 1) Load a previously generated CDF, which defines the JTAG chain
# loadCdf -file xc3s1500mb_demo.cdf
#
# 2) Create the JTAG chain manually
# Device #1 is an XCF04S PROM programmed using an MCS file
addDevice -p 1 -sprom xcf04s -file 3s1500mb_files\3SMB_P160_Loopback_0.mcs

# Device #2 is an XCF01S PROM programmed using an MCS file
addDevice -p 2 -sprom xcf01s -file 3s1500mb_files\3SMB_P160_Loopback_1.mcs

# Device #3 is an XC3S1500 which is bypassed with a BSDL file
addDevice -p 3 -file 3s1500mb_files\xc3s1500_fg676.bsd


# Erase, Program, and Verify the part at Position 1 (which is the XCF04S PROM)
erase -position 1

# Erase, Program, and Verify the part at Position 2 (which is the XCF01S PROM)
# After burning the PROM, instruct the PROM to automatically configure the FPGA
erase -position 2


#Quit iMPACT
quit